<?php

namespace App\Providers;

use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Session;

class AppServiceProvider extends ServiceProvider
{
    public function register()
    {
        //
    }

    public function boot()
    {
        // Global olarak verileri paylaş
        View::composer('*', function ($view) {
            $view->with('client_firstname', Session::get('client_firstname'));
            $view->with('client_lastname', Session::get('client_lastname'));
        });
    }
}
